import React from 'react';
import {View, Text, StyleSheet} from 'react-native';
import MCIIcon from 'react-native-vector-icons/MaterialCommunityIcons';
const chipStyles = StyleSheet.create({
  chipMain: {
    alignSelf: 'flex-start',
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between',
    padding: 8,
    borderRadius: 4,
  },
  chipText: {
    fontSize: 10,
    fontWeight: '700',
    fontFamily: 'Muli-Regular',
    marginLeft: 8,
    lineHeight: 15,
    letterSpacing: 0.2,
  },
});
export const Chip = ({background, text, textColor, iconName, iconColor}) => {
  return (
    <View style={[chipStyles.chipMain, {backgroundColor: background}]}>
      <MCIIcon name={iconName} size={16} color={iconColor} />
      <Text style={[chipStyles.chipText, {color: textColor}]}>{text}</Text>
    </View>
  );
};
