import {GET_ACTIVITY_DETAILS} from '../../../Api/ApiUrls';
import {UELogEvent} from '../../../common/libEventLog/UserExperior/LibUserExperior';
const TAG = 'src/screens/AutoPI/services/getActivityDetails';

function logUtil() {
  if (__DEV__) {
    console.log(TAG, ...arguments);
  }
}

const handleError = status => {
  switch (status) {
    case 204:
      throw new Error('Activity Locked');
    case 500:
      throw new Error('Internal Server Error');
    case 404:
      throw new Error('Resource not found');
  }
};

export const getActivityDetails = async activityId => {
  try {
    const myHeaders = new Headers();
    myHeaders.append(
      'Authorization',
      'Basic 1 eyJhbGciOiJIUzI1NiJ9.eyJzdWIiOiJ1c2Vycy9Uek1Vb2NNRjRwIiwiZXhwIjoxNjc3NjA4OTk5LCJuYW1lIjoibWFkaHUuZ0Bnb2RpZ2l0LmNvbSIsInBhc3N3b3JkIjoiQ0JENTJCNkZENUZFOEREMEEzNDFGNUE1RTU1MzNBMjMiLCJzY29wZSI6InNlbGYsZ3JvdXBzL2FkbWlucyIsImxvZ2dlZEluVGltZSI6MTY3NzUwNTM4OTE1MH0.K8kjeZlblD56suHRw03t0Iu-pzbtQHjlDMfIX3pZpv8',
    );
    const requestOptions = {
      method: 'GET',
      headers: myHeaders,
      redirect: 'follow',
    };

    /*
    uat activity ids for test 
    1426197 - approved
    1384612 - auto approved
    1422801 - pi pending
    1421189 - rejected
    1421511 - reinspection rejected
    1422795 - pi in progress
    */

    const URL = `${GET_ACTIVITY_DETAILS}?activityId=${activityId}`;
    UELogEvent(`getActivityDetails started for ${activityId}`);
    const response = await fetch(URL, requestOptions);
    handleError(response.status);
    const result = await response.json();
    UELogEvent(`getActivityDetails success for ${activityId}`, {
      result: JSON.stringify(result),
    });
    logUtil(`activity details for ${activityId} : - `, result);
    return [result, null];
  } catch (error) {
    logUtil('SERVICE / PAYLOAD ERROR - ', error.message);
    UELogEvent(`getActivityDetails failed for ${activityId}`, {
      error: error.message,
    });
    return [null, error];
  }
};
