import { Image } from "react-native";
import { INSTRUCTIONS_URL } from "react-native-digitcamera/src/Api/ApiUrls";
import Database from "../../../../../Components/common/DAsyncStorage";
import { PROD } from "../../Api/ApiUrls";
import {
  CACHE_CONSTANTS,
  cacheFile,
} from "react-native-digitcamera/src/common/CacheFile";

const PRIVATE_CAR = {
  videoInspectionResponse: {
    blockedSource: {
      type: "String",
      value: "NA",
      valueInfo: {},
    },
    isEligible: {
      type: "Boolean",
      value: true,
      valueInfo: {},
    },
  },
  isVideoPiEligible: true,
  surveyMasterId: 32,
  activityTypeId: 5,
  createdDate: "May 20, 2022 02:42:33 PM",
  description: "We have made this quick and simple",
  lastModifiedDate: "May 20, 2022 02:42:33 PM",
  noOfSteps: 4,
  title: "A few tips for your 4 wheeler video inspection",
  TSurveyInstructions: [
    {
      surveyInstructionsId: 2031,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 3,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "CHP",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_1.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2032,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 4,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "ECR",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_2.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2033,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 5,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "FS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_3.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2034,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 6,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "FLC",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_4.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2036,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 8,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "BLC",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/Car_angles_6.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2037,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 9,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "BS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_7.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2038,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 10,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "BRC",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_8.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2039,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 11,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "RS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_9.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2040,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 12,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "FRC",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_10.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2041,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 13,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "FS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_11.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2042,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 14,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "WS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_12.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2043,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 15,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "DBD",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_13.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1744,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData:
        "Take some time & locate your chassis number. Please make sure you find the <b>embossed chassis number</b> & not the sticker.",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 3,
      instructionDataHn: "कुछ समय निकालें और अपना चेसिस नंबर खोजें",
      displayOrder: 23,
      type: "image",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "Find your chassis number",
      okButtonText: "I have found the chassis no.",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/chassis_car.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1741,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Take a picture of the back of your RC book/card",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 2,
      instructionDataHn: "अपनी आरसी बुक/कार्ड के पीछे की तस्वीर लें।",
      displayOrder: 2,
      type: "",
      quickTipType: "",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1747,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "<b>Embossed Chassis</b> visible on screen",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 25,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1742,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "You will have to shoot inside the engine bay.",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 3,
      instructionDataHn:
        "हम इंजन बे के अंदर रिकॉर्ड करेंगे इसलिए सुनिश्चित करें कि बोनट खुला रखा गया है",
      displayOrder: 21,
      type: "image",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "Please open the bonnet of the car",
      okButtonText: "I have opened the bonnet",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/open_bonnet.gif",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1743,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Keep the engine ON throughout the video shoot.",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 3,
      instructionDataHn: "पूरे निरीक्षण के दौरान इंजन चालू रहना चाहिए",
      displayOrder: 22,
      type: "video",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "Start your car",
      okButtonText: "I have started the vehicle",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_start.mp4",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1748,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Look inside the <b>engine bay</b>",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 26,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2044,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Please close all doors & bonnet.",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 27,
      type: "image",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "Once you've finished shooting the engine bay.",
      okButtonText: "Ready!",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/close_bonnet.gif",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1749,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Front Number Plate & Front Windshield visible",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 28,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1750,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Face the Front Passenger Side corner",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 29,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1751,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Full Passenger Side visible",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 30,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1752,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Face the Back Passenger Side corner",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 31,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2035,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 7,
      type: "stride",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "LS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_5.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2110,
      createdDate: "Oct 20, 2022 12:04:28 PM",
      instructionData: "Park in an <b>Open Well-lit</b> area",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 2,
      displayOrder: 16,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 20, 2022 12:04:28 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 1,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-07.png",
          mandateType: "DO",
        },
        {
          mandateId: 2,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-08.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2112,
      createdDate: "Oct 20, 2022 12:04:28 PM",
      instructionData: "Leave <b>10ft Space</b> on all sides",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 2,
      displayOrder: 17,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 20, 2022 12:04:28 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 3,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-03.png",
          mandateType: "DO",
        },
        {
          mandateId: 4,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-04.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2114,
      createdDate: "Oct 20, 2022 12:04:28 PM",
      instructionData: "<b>Wipe & Clean</b> your car",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 2,
      displayOrder: 18,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 20, 2022 12:04:28 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 5,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-05.png",
          mandateType: "DO",
        },
        {
          mandateId: 6,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-06.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 1745,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "What is embossed chassis no.?",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 24,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "What is embossed chassis no.?",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 9,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/embossed_chassis_video_pi.png",
          mandateType: "DO",
        },
        {
          mandateId: 10,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/sticker_chassis_video_pi.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2116,
      createdDate: "Oct 20, 2022 12:04:28 PM",
      instructionData: "Keep <b>Full Car</b> in focus during the video shoot",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 2,
      displayOrder: 19,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 20, 2022 12:04:28 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 7,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-01.png",
          mandateType: "DO",
        },
        {
          mandateId: 8,
          createdDate: "Oct 25, 2022 12:37:18 PM",
          lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-02.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 1753,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Back Number Plate & Back Windshield visible",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 32,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1754,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Face Back Driver Side corner",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 33,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1755,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Full Driver Side visible",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 34,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1756,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Face Front Driver Side corner",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 35,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1757,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Face the Front of the car",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 36,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1758,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Show <b>Full Front Windshield</b>",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 37,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1759,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Shoot Full Windshield from inside",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 38,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1760,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Shoot the <b>odometer reading</b>",
      lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
      instructionTime: 2,
      displayOrder: 39,
      type: "instruction",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1740,
      createdDate: "Aug 07, 2022 11:20:57 PM",
      instructionData: "Take a picture of the front of your RC book/card",
      lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
      instructionTime: 1,
      instructionDataHn: "अपनी आरसी बुक/कार्ड के सामने की तस्वीर लें।",
      displayOrder: 1,
      type: "",
      quickTipType: "",
      effectiveDate: "Aug 07, 2022 11:20:57 PM",
      tInstructionMandate: [],
    },
  ],
  TSurveySteps: [
    {
      surveyStepsId: 1054,
      createdDate: "Feb 21, 2020 12:15:05 PM",
      description:
        "<b>Note:</b> Odometer reading indicates the <b>total distance the vehicle has travelled!</b> Please ensure the reading reflects that and is not set to display trip reading.",
      isLast: false,
      descriptionHn:
        "सुनिश्चित करें कि ओडोमीटर किमी रीडिंग लेते समय इंजन चालू है",
      lastModifiedDate: "Feb 21, 2020 12:15:05 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/MZBG2T7_Odometer-01_V2.jpg",
      stepStencilAssests: "",
      stepTitle: "Please enter the odometer km reading",
      stepTitleHn: "कृपया ओडोमीटर किमी रीडिंग दर्ज करें",
      imageName: "DBD",
      displayOrder: 205,
      type: "input",
      TSurveyInstructions: [],
      effectiveDate: "Dec 17, 2022 03:18:48 PM",
    },
    {
      surveyStepsId: 1055,
      createdDate: "Feb 21, 2020 12:15:05 PM",
      description: "Shoot video from a distance to capture the entire vehicle",
      isLast: false,
      descriptionHn: "पूरीगाड़ी को फ़ोकस करने के लिए दूर से वीडियो शूट करें",
      lastModifiedDate: "Feb 21, 2020 12:15:05 PM",
      stepAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/pi_revised_2.mp4",
      stepStencilAssests: "",
      stepTitle: "Take a 360° video",
      stepTitleHn: '360 ° वीडियो लें "',
      imageName: "VDO",
      displayOrder: 220,
      type: "video",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 1742,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "You will have to shoot inside the engine bay.",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 3,
          instructionDataHn:
            "हम इंजन बे के अंदर रिकॉर्ड करेंगे इसलिए सुनिश्चित करें कि बोनट खुला रखा गया है",
          displayOrder: 21,
          type: "image",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "Please open the bonnet of the car",
          okButtonText: "I have opened the bonnet",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/open_bonnet.gif",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1743,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Keep the engine ON throughout the video shoot.",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 3,
          instructionDataHn: "पूरे निरीक्षण के दौरान इंजन चालू रहना चाहिए",
          displayOrder: 22,
          type: "video",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "Start your car",
          okButtonText: "I have started the vehicle",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_start.mp4",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1744,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData:
            "Take some time & locate your chassis number. Please make sure you find the <b>embossed chassis number</b> & not the sticker.",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 3,
          instructionDataHn: "कुछ समय निकालें और अपना चेसिस नंबर खोजें",
          displayOrder: 23,
          type: "image",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "Find your chassis number",
          okButtonText: "I have found the chassis no.",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/chassis_car.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1745,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "What is embossed chassis no.?",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 24,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "What is embossed chassis no.?",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 9,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/embossed_chassis_video_pi.png",
              mandateType: "DO",
            },
            {
              mandateId: 10,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/sticker_chassis_video_pi.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 1747,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "<b>Embossed Chassis</b> visible on screen",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 25,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1748,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Look inside the <b>engine bay</b>",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 26,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1749,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Front Number Plate & Front Windshield visible",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 28,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1750,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Face the Front Passenger Side corner",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 29,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1751,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Full Passenger Side visible",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 30,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1752,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Face the Back Passenger Side corner",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 31,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1753,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Back Number Plate & Back Windshield visible",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 32,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1754,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Face Back Driver Side corner",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 33,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1755,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Full Driver Side visible",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 34,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1756,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Face Front Driver Side corner",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 35,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1757,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Face the Front of the car",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 36,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1758,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Show <b>Full Front Windshield</b>",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 37,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1759,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Shoot Full Windshield from inside",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 38,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1760,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Shoot the <b>odometer reading</b>",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 39,
          type: "instruction",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2031,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 3,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "CHP",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_1.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2032,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 4,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "ECR",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_2.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2033,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 5,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "FS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_3.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2034,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 6,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "FLC",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_4.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2035,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 7,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "LS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_5.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2036,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 8,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "BLC",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/Car_angles_6.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2037,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 9,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "BS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_7.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2038,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 10,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "BRC",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_8.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2039,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 11,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "RS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_9.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2040,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 12,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "FRC",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_10.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2041,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 13,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "FS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_11.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2042,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 14,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "WS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_12.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2043,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 15,
          type: "stride",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "DBD",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_13.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2044,
          createdDate: "Aug 07, 2022 11:20:57 PM",
          instructionData: "Please close all doors & bonnet.",
          lastModifiedDate: "Aug 07, 2022 11:20:57 PM",
          instructionTime: 2,
          displayOrder: 27,
          type: "image",
          effectiveDate: "Aug 07, 2022 11:20:57 PM",
          instructionTitle: "Once you've finished shooting the engine bay.",
          okButtonText: "Ready!",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/close_bonnet.gif",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2110,
          createdDate: "Oct 20, 2022 12:04:28 PM",
          instructionData: "Park in an <b>Open Well-lit</b> area",
          lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
          instructionTime: 2,
          displayOrder: 16,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 20, 2022 12:04:28 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 1,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-07.png",
              mandateType: "DO",
            },
            {
              mandateId: 2,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-08.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2112,
          createdDate: "Oct 20, 2022 12:04:28 PM",
          instructionData: "Leave <b>10ft Space</b> on all sides",
          lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
          instructionTime: 2,
          displayOrder: 17,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 20, 2022 12:04:28 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 3,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-03.png",
              mandateType: "DO",
            },
            {
              mandateId: 4,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-04.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2114,
          createdDate: "Oct 20, 2022 12:04:28 PM",
          instructionData: "<b>Wipe & Clean</b> your car",
          lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
          instructionTime: 2,
          displayOrder: 18,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 20, 2022 12:04:28 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 5,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-05.png",
              mandateType: "DO",
            },
            {
              mandateId: 6,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-06.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2116,
          createdDate: "Oct 20, 2022 12:04:28 PM",
          instructionData:
            "Keep <b>Full Car</b> in focus during the video shoot",
          lastModifiedDate: "Oct 25, 2022 01:04:53 PM",
          instructionTime: 2,
          displayOrder: 19,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 20, 2022 12:04:28 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 7,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-01.png",
              mandateType: "DO",
            },
            {
              mandateId: 8,
              createdDate: "Oct 25, 2022 12:37:18 PM",
              lastModifiedDate: "Oct 25, 2022 12:37:18 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-02.png",
              mandateType: "DONT",
            },
          ],
        },
      ],
      effectiveDate: "Dec 17, 2022 03:18:48 PM",
    },
  ],
  isWebRequest: 2,
  titleHn: "आपके 4 व्हीलर इंस्पेक्शन के लिए कुछ सुझाव",
  descriptionHn:
    "हमने इसे शीघ्र होने वाला और सरल बना दिया है फ़ोटोको क्लिक करने से पहले:",
};
const CV = {
  videoInspectionResponse: {
    blockedSource: {
      type: "String",
      value: "NA",
      valueInfo: {},
    },
    isEligible: {
      type: "Boolean",
      value: true,
      valueInfo: {},
    },
  },
  isVideoPiEligible: false,
  surveyMasterId: 14,
  activityTypeId: 30,
  createdDate: "Oct 08, 2018 12:00:00 AM",
  description:
    "We have made this quick and simple, before you start clicking the images:",
  lastModifiedDate: "Aug 21, 2020 08:58:28 PM",
  noOfSteps: 14,
  title: "A few tips for your CV inspection",
  TSurveyInstructions: [
    {
      surveyInstructionsId: 1631,
      createdDate: "Aug 26, 2020 08:06:23 AM",
      instructionData:
        "At each step, refer to the image and instructions given to click the correct image",
      lastModifiedDate: "Aug 26, 2020 08:06:23 AM",
      instructionTime: 3,
      instructionDataHn:
        "प्रत्येक चरण पर, सही फ़ोटो पर क्लिक करने के लिए, दिए गए फ़ोटो और निर्देश देखें",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1630,
      createdDate: "Aug 26, 2020 08:06:19 AM",
      instructionData:
        "Keep the vehicle Registration Certificate (RC Copy) handy",
      lastModifiedDate: "Aug 26, 2020 08:06:19 AM",
      instructionTime: 3,
      instructionDataHn: "गाड़ी पंजीकरण प्रमाणपत्र (आरसी कॉपी) पास में रखें",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1051,
      createdDate: "Aug 21, 2020 09:12:51 PM",
      instructionData: "Ensure that the images are not blurred",
      lastModifiedDate: "Aug 21, 2020 09:12:51 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि फ़ोटो धुंधले न हों",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1052,
      createdDate: "Aug 21, 2020 09:12:51 PM",
      instructionData:
        "Make sure edges of the vehicle are also captured in the images",
      lastModifiedDate: "Aug 21, 2020 09:12:51 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि गाड़ी के किनारे भी फ़ोटो में आ जाएँ",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 421,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData:
        "Make sure you are in an open area with space and good light",
      lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
      instructionTime: 3,
      instructionDataHn:
        "ध्यान रखें कि आप काफी जगह और अच्छी रोशनी वाले खुले क्षेत्र में हैं",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 423,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData: "Make sure your vehicle is clean",
      lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि आपकीगाड़ी साफ है",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 933,
      createdDate: "May 05, 2020 03:55:13 PM",
      instructionData: "Make sure your windows are closed",
      lastModifiedDate: "May 05, 2020 03:55:13 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि आपकी खिड़कियां बंद हैं",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 422,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData:
        "Maintain 6-7 feet of distance from the vehicle while clicking the images",
      lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
      instructionTime: 3,
      instructionDataHn:
        "फ़ोटोक्लिक करते समय गाड़ी से 6-7 फीट की दूरी बनाए रखें",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1908,
      createdDate: "Jun 08, 2022 03:28:45 PM",
      instructionData: "Make sure the following parts are clearly",
      lastModifiedDate: "Jun 08, 2022 03:28:45 PM",
      instructionTime: 2,
      instructionDataHn: "सुनिश्चित करें कि निम्नलिखित भाग स्पष्ट रूप से हैं",
      displayOrder: 2,
      type: "",
      effectiveDate: "Jun 08, 2022 03:28:45 PM",
    },
    {
      surveyInstructionsId: 1909,
      createdDate: "Jun 08, 2022 03:28:52 PM",
      instructionData: "Engine & Chassis Number",
      lastModifiedDate: "Jun 08, 2022 03:28:52 PM",
      instructionTime: 3,
      instructionDataHn: "इंजन और चेसिस नंबर",
      displayOrder: 3,
      type: "",
      effectiveDate: "Jun 08, 2022 03:28:52 PM",
      instructionTitle: "",
      okButtonText: "",
      instructionAssests: "",
    },
    {
      surveyInstructionsId: 1907,
      createdDate: "Jun 08, 2022 03:28:34 PM",
      instructionData:
        "Keep engine and chassis no. visible. Start from engine no, make sure recorded video is under 60 seconds",
      lastModifiedDate: "Jun 08, 2022 03:28:34 PM",
      instructionTime: 1,
      instructionDataHn:
        "इंजन व चेसिस नं. दृश्यमान। इंजन नंबर से शुरू करें, सुनिश्चित करें कि रिकॉर्ड किया गया वीडियो 60 सेकंड से कम का है",
      displayOrder: 1,
      type: "",
      effectiveDate: "Jun 08, 2022 03:28:34 PM",
    },
  ],
  TSurveySteps: [
    {
      surveyStepsId: 109,
      createdDate: "Aug 22, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_RCB1_V2.jpg",
      stepTitle: "RC Book",
      stepTitleHn: "आरसी बुक",
      imageName: "RCB1",
      displayOrder: 140,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 225,
          createdDate: "Aug 22, 2018 12:00:00 AM",
          instructionData:
            "Send us a picture of the front of your RC book/card.",
          lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "हमें अपने आरसी बुक/ कार्ड के सामने की तस्वीर भेजें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 110,
      createdDate: "Aug 22, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_RCB2_V2.jpg",
      stepTitle: "RC Book",
      stepTitleHn: "आरसी बुक",
      imageName: "RCB2",
      displayOrder: 150,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 226,
          createdDate: "Aug 22, 2018 12:00:00 AM",
          instructionData:
            "Send us a picture of the back of your RC book/card.",
          lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "हमें अपने आरसी बुक/ कार्ड के पीछे की तस्वीर भेजें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 141,
      createdDate: "Aug 23, 2018 12:00:00 AM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटो में, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए",
      lastModifiedDate: "Aug 23, 2020 07:07:37 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_FS_V2.jpg",
      stepTitle:
        "Now, let’s start with capturing the front side of your vehicle",
      stepTitleHn: "अब, अपनी गाड़ी के सामने की तरफ से फ़ोटो लेने शुरू करें",
      imageName: "FS",
      displayOrder: 10,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 287,
          createdDate: "Aug 23, 2018 12:00:00 AM",
          instructionData: "Windshield",
          lastModifiedDate: "Aug 23, 2020 07:46:57 PM",
          instructionTime: 3,
          instructionDataHn: "विंडशील्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 288,
          createdDate: "Aug 23, 2018 12:00:00 AM",
          instructionData: "Front Bumper",
          lastModifiedDate: "Aug 23, 2020 07:46:57 PM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट बम्पर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1122,
          createdDate: "Aug 23, 2020 07:50:38 PM",
          instructionData: "Headlights",
          lastModifiedDate: "Aug 23, 2020 07:50:38 PM",
          instructionTime: 3,
          instructionDataHn: "हेडलाइट्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1123,
          createdDate: "Aug 23, 2020 07:50:38 PM",
          instructionData: "Number Plate",
          lastModifiedDate: "Aug 23, 2020 07:50:38 PM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1124,
          createdDate: "Aug 23, 2020 07:50:38 PM",
          instructionData: "Front Tyres",
          lastModifiedDate: "Aug 23, 2020 07:50:38 PM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट टायर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 194,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "Avoid capturing any reflection, that may come on the windshield- in the image!\r",
      isLast: false,
      descriptionHn:
        "किसी भी प्रतिबिंब से बचें, जो विंडशील्ड पर आ सकता है- फ़ोटो में!",
      lastModifiedDate: "Aug 23, 2020 08:06:21 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_WS_V2.jpg",
      stepTitle:
        "Click an image of just the windshield by standing in front of the vehicle",
      stepTitleHn:
        "गाड़ी के सामने खड़े होकर सिर्फ विंडशील्ड केफ़ोटो पर क्लिक करें",
      imageName: "WS",
      displayOrder: 20,
      type: "image",
      TSurveyInstructions: [],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 195,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटो में, निम्न हिस्से स्पष्ट दिखाई देने चाहिए",
      lastModifiedDate: "Aug 24, 2020 06:30:52 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_FRC_V3.jpg",
      stepTitle:
        "Show us the front-right corner (driver’s side) of the vehicle",
      stepTitleHn: "गाड़ी का सामने का दायाँ कोना दिखाएं (ड्राइवर साइड)",
      imageName: "FRC",
      displayOrder: 30,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 428,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Headlight",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "हेडलाइट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 429,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Front Bumper",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट बम्पर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1636,
          createdDate: "Sep 01, 2020 07:42:02 PM",
          instructionData: "Doors",
          lastModifiedDate: "Sep 01, 2020 07:42:02 PM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1637,
          createdDate: "Sep 01, 2020 07:42:37 PM",
          instructionData: "Tyres",
          lastModifiedDate: "Sep 01, 2020 07:42:37 PM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1638,
          createdDate: "Sep 01, 2020 07:42:40 PM",
          instructionData: "Number Plate",
          lastModifiedDate: "Sep 01, 2020 07:42:40 PM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 196,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description: "In the image, below parts should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटो में, निम्न हिस्से स्पष्ट दिखाई देने चाहिए",
      lastModifiedDate: "Aug 24, 2020 05:38:53 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_RS_V2.jpg",
      stepTitle: "Show us the right view (driver’s side) of the vehicle",
      stepTitleHn: "हमें गाड़ीदाईं ओर से दिखाएं (ड्राइवर साइड)",
      imageName: "RS",
      displayOrder: 40,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 430,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Windows",
          lastModifiedDate: "Aug 24, 2020 05:56:35 PM",
          instructionTime: 3,
          instructionDataHn: "विंडोज",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 431,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Doors",
          lastModifiedDate: "Aug 24, 2020 05:56:35 PM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1464,
          createdDate: "Aug 24, 2020 05:57:44 PM",
          instructionData: "Right side view of front and rear bumper",
          lastModifiedDate: "Aug 24, 2020 05:57:44 PM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट और रियर बम्पर का राइट साइड व्यू",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1465,
          createdDate: "Aug 24, 2020 05:57:47 PM",
          instructionData: "Tyres",
          lastModifiedDate: "Aug 24, 2020 05:57:47 PM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 197,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटो में, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए:",
      lastModifiedDate: "Aug 24, 2020 08:27:29 AM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_BRC_V3.jpg",
      stepTitle: "Show us the back-right corner (driver’s side) of the vehicle",
      stepTitleHn: "हमें गाड़ी का पीछे दाएं कोने (ड्राइवर की तरफ) से दिखाएं",
      imageName: "BRC",
      displayOrder: 50,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 432,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Tail Light",
          lastModifiedDate: "Aug 24, 2020 08:29:59 AM",
          instructionTime: 3,
          instructionDataHn: "टेल लाइट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 433,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Rear Bumper",
          lastModifiedDate: "Aug 24, 2020 08:29:59 AM",
          instructionTime: 3,
          instructionDataHn: "रियर बंपर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1174,
          createdDate: "Aug 24, 2020 08:30:21 AM",
          instructionData: "Doors",
          lastModifiedDate: "Aug 24, 2020 08:30:21 AM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1175,
          createdDate: "Aug 24, 2020 08:30:23 AM",
          instructionData: "Tyres",
          lastModifiedDate: "Aug 24, 2020 08:30:23 AM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1176,
          createdDate: "Aug 24, 2020 08:30:27 AM",
          instructionData: "Number Plate",
          lastModifiedDate: "Aug 24, 2020 08:30:27 AM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 198,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटो में, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए:",
      lastModifiedDate: "Aug 23, 2020 09:53:40 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_BS_V2.jpg",
      stepTitle: "Let’s capture the back side of your vehicle",
      stepTitleHn: " चलिए अपने गाड़ी के पिछले हिस्से के फ़ोटो लें",
      imageName: "BS",
      displayOrder: 60,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 434,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Rear Windshield",
          lastModifiedDate: "Aug 23, 2020 09:54:19 PM",
          instructionTime: 3,
          instructionDataHn: "रियर विंडशील्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 435,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Rear Bumper",
          lastModifiedDate: "Aug 23, 2020 09:54:19 PM",
          instructionTime: 3,
          instructionDataHn: "रियर बंपर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1165,
          createdDate: "Aug 23, 2020 09:55:01 PM",
          instructionData: "Tail Lights",
          lastModifiedDate: "Aug 23, 2020 09:55:01 PM",
          instructionTime: 3,
          instructionDataHn: "टेल लाइट्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1166,
          createdDate: "Aug 23, 2020 09:55:04 PM",
          instructionData: "Number Plate",
          lastModifiedDate: "Aug 23, 2020 09:55:04 PM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1167,
          createdDate: "Aug 23, 2020 09:55:06 PM",
          instructionData: "Rear Tyres",
          lastModifiedDate: "Aug 23, 2020 09:55:06 PM",
          instructionTime: 3,
          instructionDataHn: "रियर टायर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 199,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटोमें, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए:",
      lastModifiedDate: "Aug 23, 2020 09:38:23 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_BLC_V3.jpg",
      stepTitle:
        "Show us the back-left corner (passenger’s side) of the vehicle",
      stepTitleHn: "हमें गाड़ी पीछे बाएँ कोने (पैसेंजर साइड) से दिखाएं",
      imageName: "BLC",
      displayOrder: 70,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 436,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Tail Light",
          lastModifiedDate: "Aug 23, 2020 09:39:21 PM",
          instructionTime: 3,
          instructionDataHn: "टेल लाइट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 437,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Rear Bumper",
          lastModifiedDate: "Aug 23, 2020 09:39:21 PM",
          instructionTime: 3,
          instructionDataHn: "रियर बंपर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1155,
          createdDate: "Aug 23, 2020 09:39:58 PM",
          instructionData: "Doors",
          lastModifiedDate: "Aug 23, 2020 09:39:58 PM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1156,
          createdDate: "Aug 23, 2020 09:40:01 PM",
          instructionData: "Tyres",
          lastModifiedDate: "Aug 23, 2020 09:40:01 PM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1157,
          createdDate: "Aug 23, 2020 09:40:03 PM",
          instructionData: "Number Plate",
          lastModifiedDate: "Aug 23, 2020 09:40:03 PM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 200,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description: "In the image, below parts should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटोमें, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए:",
      lastModifiedDate: "Aug 23, 2020 08:45:56 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_LS_V2.jpg",
      stepTitle: "Show us the left view (passenger’s side) of the vehicle",
      stepTitleHn: "हमें गाड़ी की बाईं साइड (पैसेंजेर साइड) दिखाएं",
      imageName: "LS",
      displayOrder: 80,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 438,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Windows",
          lastModifiedDate: "Aug 23, 2020 08:46:42 PM",
          instructionTime: 3,
          instructionDataHn: "विंडोज",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 439,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Doors",
          lastModifiedDate: "Aug 23, 2020 08:46:42 PM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1147,
          createdDate: "Aug 23, 2020 08:47:00 PM",
          instructionData: "Left side view of front and rear bumper",
          lastModifiedDate: "Aug 23, 2020 08:47:00 PM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट और रियर बम्पर का लेफ्ट साइड व्यू",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1148,
          createdDate: "Aug 23, 2020 08:47:03 PM",
          instructionData: "Tyres",
          lastModifiedDate: "Aug 23, 2020 08:47:03 PM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 201,
      createdDate: "Mar 10, 2020 11:30:17 PM",
      description:
        "In the image, below parts of the vehicle should be clearly visible:",
      isLast: false,
      descriptionHn: "फ़ोटोमें, गाड़ी के निम्न हिस्से स्पष्ट दिखने चाहिए:",
      lastModifiedDate: "Aug 23, 2020 08:29:35 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_FLC_V3.jpg",
      stepTitle:
        "Show us the front–left corner (passenger’s side) of the vehicle",
      stepTitleHn:
        "हमें गाड़ी का सामने का बायां कोना फ्रंट-लेफ्ट कॉर्नर (पैसेंजेर साइड) दिखाएं",
      imageName: "FLC",
      displayOrder: 90,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 440,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Headlight",
          lastModifiedDate: "Aug 23, 2020 08:30:41 PM",
          instructionTime: 3,
          instructionDataHn: "हेडलाइट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 441,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Front Bumper",
          lastModifiedDate: "Aug 23, 2020 08:30:41 PM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट बम्पर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1140,
          createdDate: "Aug 23, 2020 08:30:57 PM",
          instructionData: "Doors",
          lastModifiedDate: "Aug 23, 2020 08:30:57 PM",
          instructionTime: 3,
          instructionDataHn: "दरवाजे",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1141,
          createdDate: "Aug 23, 2020 08:30:59 PM",
          instructionData: "Tyres",
          lastModifiedDate: "Aug 23, 2020 08:30:59 PM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1142,
          createdDate: "Aug 23, 2020 08:31:02 PM",
          instructionData: "Number Plate",
          lastModifiedDate: "Aug 23, 2020 08:31:02 PM",
          instructionTime: 3,
          instructionDataHn: "नंबर प्लेट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 202,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Aug 24, 2020 07:24:57 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/MZBG2T7_Odometer-01_V2.jpg",
      stepTitle:
        "Enter the vehicle, turn it on and take images of your odometer",
      stepTitleHn:
        "गाड़ीमें प्रवेश करें, इसे चालू करें और अपने ओडोमीटर के फ़ोटोलें",
      imageName: "DBD",
      displayOrder: 100,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 442,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Ensure the vehicle is turned on",
          lastModifiedDate: "Aug 24, 2020 07:43:50 PM",
          instructionTime: 3,
          instructionDataHn: "ध्यान रखें कि गाड़ी चालू है",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 443,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData:
            "Make sure the RPM indicator (as shown in the image) is not at zero",
          lastModifiedDate: "Aug 24, 2020 07:43:50 PM",
          instructionTime: 3,
          instructionDataHn:
            "ध्यान रखें कि आरपीएमइंडिकेटर (जैसा कि फ़ोटो में दिखाया गया है) शून्य पर नहीं है",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 444,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Odometer reading should be clearly visible.",
          lastModifiedDate: "Aug 24, 2020 07:43:50 PM",
          instructionTime: 3,
          instructionDataHn: "ओडोमीटर रीडिंग स्पष्ट रूप से दिखाई देनी चाहिए।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1559,
          createdDate: "Aug 24, 2020 07:50:39 PM",
          instructionData:
            "Enter the odometer reading in the box below\r\n\r\nNote: Odometer reading indicates the total distance the vehicle has traveled! Please ensure the reading reflects that and is not set to display trip reading.",
          lastModifiedDate: "Aug 24, 2020 07:50:39 PM",
          instructionTime: 3,
          instructionDataHn:
            "नीचे दिए गए बॉक्स में ओडोमीटर रीडिंग दर्ज करें\r\n\r\nनोट: ओडोमीटर रीडिंग गाड़ी की कुल यात्रा दूरी इंगित करता है! कृपया ध्यान रखें कि रीडिंग प्रतिबिंबित करती है और ट्रिप रीडिंग प्रदर्शित करने के लिए सेट नहीं है।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 203,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description: "Make sure you capture all the edges!",
      isLast: false,
      descriptionHn: "ध्यान रखें कि गाड़ी के किनारे भी फ़ोटोमें आ गए हैं",
      lastModifiedDate: "Aug 24, 2020 11:20:54 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_ECR_V2.jpg",
      stepTitle:
        "Open the bonnet of your vehicle and click an image of the engine",
      stepTitleHn: "अपनीगाड़ी का बोनट खोलें और इंजन का एक फ़ोटो क्लिक करें",
      imageName: "ECR",
      displayOrder: 110,
      type: "image",
      TSurveyInstructions: [],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 204,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "The embossed chassis plate may be found in following locations:",
      isLast: false,
      descriptionHn:
        "उभरी चेसिस (एम्बास्ड) प्लेट निम्नलिखित स्थानों पर मिल सकती है:",
      lastModifiedDate: "Aug 24, 2020 11:32:08 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/JE0DNAV_Embossed_chassis_V2.jpg",
      stepTitle:
        "Now, click an image of the embossed chassis plate of your vehicle",
      stepTitleHn:
        "अब, अपनीगाड़ी की उभरी हुई (एम्बास्ड) चेसिस प्लेट का एक फ़ोटो क्लिक करें",
      imageName: "CHP",
      displayOrder: 120,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 447,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Near the Engine",
          lastModifiedDate: "Aug 24, 2020 11:49:46 PM",
          instructionTime: 3,
          instructionDataHn: "इंजन के पास",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 448,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Floor of the Vehicle",
          lastModifiedDate: "Aug 24, 2020 11:49:46 PM",
          instructionTime: 3,
          instructionDataHn: "गाड़ी का फर्श",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1006,
          createdDate: "Aug 13, 2020 09:04:47 AM",
          instructionData: "Near the tyres",
          lastModifiedDate: "Aug 24, 2020 11:49:46 PM",
          instructionTime: 3,
          instructionDataHn: "टायर के पास",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 551,
      createdDate: "Aug 24, 2020 11:13:03 PM",
      description:
        "Avoid capturing any reflection, that may come on the windshield - in the image!\r\n\r\nNote: To ensure you capture the entire windshield, push your seat back, completely or take the image from the backseat of the vehicle",
      isLast: false,
      descriptionHn:
        "किसी भी प्रतिबिंब को पकड़ने से बचें, जो विंडशील्ड पर आ सकता है - फ़ोटो में!\r\n\r\n नोट: यह सुनिश्चित करने के लिए कि आपने पूरी विंडशील्ड का फ़ोटो लिया है, अपनी सीट को पूरी तरह से पीछे कर दें, या गाड़ी के पीछे से फ़ोटो लें",
      lastModifiedDate: "Aug 24, 2020 11:13:03 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/capture-windshield_V2.jpg",
      stepStencilAssests: "",
      stepTitle: "Enter the vehicle and click an image of the windshield\r",
      stepTitleHn: "गाड़ी में प्रवेश करें और विंडशील्ड का एक फ़ोटो क्लिक करें।",
      imageName: "IWS",
      displayOrder: 105,
      type: "image",
      TSurveyInstructions: [],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 597,
      createdDate: "Feb 25, 2021 06:20:39 PM",
      isLast: true,
      lastModifiedDate: "Feb 25, 2021 06:20:39 PM",
      stepAssests: "https://cdn.godigit.com/digitEdgeAssets/Motor/PUC_V2.jpg",
      stepTitle: "Upload PUC Certificate (Optional)",
      stepTitleHn: "पीयूसी प्रमाणपत्र (वैकल्पिक) अपलोड करें",
      imageName: "PUC",
      displayOrder: 151,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 1670,
          createdDate: "Feb 25, 2021 06:22:31 PM",
          instructionData:
            "Please upload/capture your vehicles valid PUC certificate here.",
          lastModifiedDate: "Feb 25, 2021 06:22:31 PM",
          instructionTime: 3,
          instructionDataHn:
            "अपनीगाड़ी के वैध पीयूसी प्रमाणपत्र यहां अपलोड/ कैप्चर करें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 1671,
          createdDate: "Feb 25, 2021 06:22:32 PM",
          instructionData:
            " NOTE: Please ensure the document is clear and readable",
          lastModifiedDate: "Feb 25, 2021 06:22:32 PM",
          instructionTime: 3,
          instructionDataHn:
            "नोट: कृपया ध्यान रखें कि दस्तावेज़ स्पष्ट और पढ़ने योग्य हो",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 599,
      createdDate: "Aug 22, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_CNG_V2.jpg",
      stepTitle: "CNG Kit (IF APPLICABLE)",
      stepTitleHn: "सीएनजी किट",
      imageName: "CNG",
      displayOrder: 130,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 1673,
          createdDate: "Aug 22, 2018 12:00:00 AM",
          instructionData:
            "If you have a CNG fitted, please take a picture of the cylinder",
          lastModifiedDate: "Aug 22, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "यदि सीएनजी फिट है, तो कृपया सिलेंडर की एक तस्वीर लें",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 1093,
      createdDate: "Jun 07, 2022 11:41:34 PM",
      description: "Shoot video from a distance to capture the entire vehicle",
      isLast: false,
      descriptionHn: "पूरीगाड़ी को फ़ोकस करने के लिए दूर से वीडियो शूट करें",
      lastModifiedDate: "Jun 07, 2022 11:41:34 PM",
      stepAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/videos/self-inspection-for-car.mp4",
      stepStencilAssests: "",
      stepTitle: "Take a 360° video",
      stepTitleHn: '360 ° वीडियो लें "',
      imageName: "VDO",
      displayOrder: 220,
      type: "video",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 1907,
          createdDate: "Jun 08, 2022 03:28:34 PM",
          instructionData:
            "Keep engine and chassis no. visible. Start from engine no, make sure recorded video is under 60 seconds",
          lastModifiedDate: "Jun 08, 2022 03:28:34 PM",
          instructionTime: 1,
          instructionDataHn:
            "इंजन व चेसिस नं. दृश्यमान। इंजन नंबर से शुरू करें, सुनिश्चित करें कि रिकॉर्ड किया गया वीडियो 60 सेकंड से कम का है",
          displayOrder: 1,
          type: "",
          effectiveDate: "Jun 08, 2022 03:28:34 PM",
        },
        {
          surveyInstructionsId: 1908,
          createdDate: "Jun 08, 2022 03:28:45 PM",
          instructionData: "Make sure the following parts are clearly",
          lastModifiedDate: "Jun 08, 2022 03:28:45 PM",
          instructionTime: 2,
          instructionDataHn:
            "सुनिश्चित करें कि निम्नलिखित भाग स्पष्ट रूप से हैं",
          displayOrder: 2,
          type: "",
          effectiveDate: "Jun 08, 2022 03:28:45 PM",
        },
        {
          surveyInstructionsId: 1909,
          createdDate: "Jun 08, 2022 03:28:52 PM",
          instructionData: "Engine & Chassis Number",
          lastModifiedDate: "Jun 08, 2022 03:28:52 PM",
          instructionTime: 3,
          instructionDataHn: "इंजन और चेसिस नंबर",
          displayOrder: 3,
          type: "",
          effectiveDate: "Jun 08, 2022 03:28:52 PM",
          instructionTitle: "",
          okButtonText: "",
          instructionAssests: "",
        },
      ],
      effectiveDate: "Jun 07, 2022 11:41:34 PM",
    },
  ],
  isWebRequest: 0,
  titleHn: "आपकी कमर्शियल गाड़ी के इंस्पेक्शन (निरीक्षण) के लिए कुछ सुझाव",
  descriptionHn:
    "हमने इसे शीघ्र होने वाला और सरल बना दिया है फ़ोटोको क्लिक करने से पहले:",
};

const TWO_WHELLER = {
  videoInspectionResponse: {
    blockedSource: {
      type: "String",
      value: "NA",
      valueInfo: {},
    },
    isEligible: {
      type: "Boolean",
      value: true,
      valueInfo: {},
    },
  },
  isVideoPiEligible: false,
  surveyMasterId: 4,
  activityTypeId: 26,
  createdDate: "Jun 14, 2018 12:00:00 AM",
  description:
    "We have made this quick and simple, before you start clicking the images:",
  lastModifiedDate: "Sep 07, 2020 01:33:22 PM",
  noOfSteps: 4,
  title: "A few tips for your 2 wheeler inspection",
  TSurveyInstructions: [
    {
      surveyInstructionsId: 391,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData:
        "Maintain 4-5 feet of distance from the vehicle while clicking the images",
      lastModifiedDate: "Sep 07, 2020 01:35:54 PM",
      instructionTime: 3,
      instructionDataHn: "फ़ोटो क्लिक करते समय गाड़ी से 4-5 फीट की",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 392,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData: "Make sure your vehicle is clean",
      lastModifiedDate: "Sep 07, 2020 01:35:55 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि आपकीगाड़ी साफ है",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 390,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      instructionData:
        "Make sure you are in an open area with space and good light",
      lastModifiedDate: "Sep 07, 2020 01:35:54 PM",
      instructionTime: 3,
      instructionDataHn:
        "ध्यान रखें कि आप काफी जगह और अच्छी रोशनी वाले खुले क्षेत्र में हैं",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1138,
      createdDate: "Sep 07, 2020 01:36:58 PM",
      instructionData: "Ensure that the images are not blurred",
      lastModifiedDate: "Sep 07, 2020 01:36:58 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि फ़ोटो धुंधले न हों",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1139,
      createdDate: "Sep 07, 2020 01:36:58 PM",
      instructionData:
        "Make sure edges of the vehicle are also captured in the images",
      lastModifiedDate: "Sep 07, 2020 01:36:58 PM",
      instructionTime: 3,
      instructionDataHn: "ध्यान रखें कि गाड़ी के किनारे भी फ़ोटोमें आ गए हैं",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1140,
      createdDate: "Sep 07, 2020 01:36:58 PM",
      instructionData:
        "Keep the vehicle Registration Certificate (RC Copy) handy",
      lastModifiedDate: "Sep 07, 2020 01:36:58 PM",
      instructionTime: 3,
      instructionDataHn: "गाड़ी पंजीकरण प्रमाणपत्र (आरसी कॉपी) संभाल कर रखें",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyInstructionsId: 1141,
      createdDate: "Sep 07, 2020 01:36:58 PM",
      instructionData:
        "At each step, refer to the image and instructions given to click the correct image",
      lastModifiedDate: "Sep 07, 2020 01:36:58 PM",
      instructionTime: 3,
      instructionDataHn:
        "प्रत्येक चरण पर, सही फ़ोटो पर क्लिक करने के लिए, दिए गए फ़ोटो और निर्देश देखें",
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
  ],
  TSurveySteps: [
    {
      surveyStepsId: 185,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "Take a shot of the front of the bike. Get the whole bike in the picture, including: ",
      isLast: false,
      descriptionHn:
        "बाइक के सामने का फ़ोटो लें। फ़ोटो में पूरी बाइक लें, इन सहित",
      lastModifiedDate: "Sep 18, 2020 05:54:07 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_FS_V2.jpg",
      stepTitle: "Front of the bike",
      stepTitleHn: "बाइक सामने (फ्रंट) से",
      imageName: "FS",
      displayOrder: 10,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 393,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Headlight (lamp) and turn signal lamps (winkers) ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "हेडलाइट (लैम्प) और सिग्नल लैम्प्स (विंकर्स)",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 394,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Tyres ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 395,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Front mudguard",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "फ्रंट मडगार्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 396,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Leg guard ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "लेग गार्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 186,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "Get the entire left side of the bike in the picture, including: ",
      isLast: false,
      descriptionHn: "बाइक के पूरे बाईं ओर का फ़ोटोलें, इन सहित",
      lastModifiedDate: "Sep 18, 2020 05:50:15 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_LS_V2.jpg",
      stepTitle: "Left side of the bike",
      stepTitleHn: "बाइक के बाईं ओर",
      imageName: "LS",
      displayOrder: 20,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 397,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Dents, scratches or missing parts",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "डेंट, खरोंच या मिसिंग पार्ट्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 398,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Tyres and rim ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "टायर और रिम",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 399,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Side panels ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "साइड पैनल",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 400,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Fuel tank",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "ईंधन टैंक",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 401,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Mudguard",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "मडगार्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 402,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Saree guard ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "साड़ी गार्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 187,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description: "Take a shot of the rear of the bike, including: ",
      isLast: false,
      descriptionHn: "बाइक के रियर का एक फ़ोटो लें",
      lastModifiedDate: "Sep 18, 2020 05:55:04 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_BS_V2.jpg",
      stepTitle: "Rear of the bike",
      stepTitleHn: "बाइक पीछे (रियर) से",
      imageName: "BS",
      displayOrder: 30,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 403,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Tyres",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "टायर्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 405,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Rear mudguard ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "रियर मडगार्ड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 188,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      description:
        "Take a shot of the entire right side of the bike. Focus on: ",
      isLast: false,
      descriptionHn:
        "बाइक के पूरे दाहिने हिस्से का एक फ़ोटो लें। इनपर फोकस करें",
      lastModifiedDate: "Sep 18, 2020 05:56:34 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_RS_V2.jpg",
      stepTitle: "Right side of the bike",
      stepTitleHn: "बाइक केदाईं ओर",
      imageName: "RS",
      displayOrder: 40,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 408,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Dents, scratches or missing parts",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "डेंट, खरोंच या मिसिंग पार्ट्स",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 410,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Side panels ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "साइड पैनल",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 412,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Silencer ",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "साइलेंसर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 189,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Sep 18, 2020 06:21:09 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_ODO_V2.jpg",
      stepTitle: "Top of the bike",
      stepTitleHn: "बाइक ऊपर से",
      imageName: "TS",
      displayOrder: 50,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 414,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData:
            "Switch on your bike and focus on the entire instrument panel (Digital console)",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "अपनी बाइक चालू करें और पूरे इंस्ट्रूमेंट पैनल (डिजिटल कंसोल) पर फोकस केंद्रित करें",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 415,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Make sure the km reading is clear",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "ध्यान रखें कि किमी रीडिंग स्पष्ट है",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 416,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Click the photo without a flash",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "बिना फ्लैश के फोटो क्लिक करें",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 190,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Sep 18, 2020 06:23:43 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/2W_PI_CHP_V2.jpg",
      stepTitle: "Chassis of the bike",
      stepTitleHn: "बाइक का चेसिस",
      imageName: "CHP",
      displayOrder: 60,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 417,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData: "Take a clear picture of the bike's chassis.",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn: "बाइक के चेसिस की स्पष्ट तस्वीर लें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 418,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData:
            "On most popular models, the chassis number can be found at the spot indicated in the reference photo.",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "सभी लोकप्रिय मॉडल पर, चेसिस नंबर रेफरेंस फोटो में दर्शाए गए स्थान पर पाया जा सकता है।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 573,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData:
            "Please open the self-diagnostic test link sent on your phone.",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn:
            "कृपया अपने फोन पर भेजे गए सेल्फ डायग्नोस्टिक टेस्ट लिंक को खोलें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 191,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      isLast: false,
      lastModifiedDate: "Sep 18, 2020 07:26:12 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_RCB1_V2.jpg",
      stepTitle: "RC Book",
      stepTitleHn: "आरसी बुक",
      imageName: "RCB1",
      displayOrder: 70,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 419,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData:
            "Send us a picture of the front of your RC book/card.",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "हमें अपने आरसीबुक/ कार्ड के सामने की तस्वीर भेजें",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 574,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData: "Account Number",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn: "अकाउंट नम्बर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 575,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData: "Name",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn: "नाम",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 576,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData: "Bank Name",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn: "बैंक का नाम",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 577,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData: "IFSC Code",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn: "आइएफ़एससीकोड",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 578,
          createdDate: "Jul 03, 2019 05:49:39 PM",
          instructionData: "Account Number",
          lastModifiedDate: "Jul 03, 2019 05:49:39 PM",
          instructionTime: 3,
          instructionDataHn: "अकाउंट नम्बर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 192,
      createdDate: "Oct 08, 2018 12:00:00 AM",
      isLast: true,
      lastModifiedDate: "Sep 18, 2020 07:27:07 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/4W_PI_RCB2_V2.jpg",
      stepTitle: "RC Book",
      stepTitleHn: "आरसी बुक",
      imageName: "RCB2",
      displayOrder: 80,
      type: "image",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 420,
          createdDate: "Oct 08, 2018 12:00:00 AM",
          instructionData:
            "Send us a picture of the back of your RC book/card.",
          lastModifiedDate: "Oct 08, 2018 12:00:00 AM",
          instructionTime: 3,
          instructionDataHn:
            "हमें अपने आरसीबुक/ कार्ड के पीछे की तस्वीर भेजें।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
    {
      surveyStepsId: 295,
      createdDate: "Feb 21, 2020 12:14:03 PM",
      description: "Shoot video from a distance to capture the entire vehicle",
      isLast: false,
      descriptionHn:
        "पूरीगाड़ी को फ़ोटो में लेने के लिए दूर से वीडियो शूट करें",
      lastModifiedDate: "Sep 18, 2020 08:11:48 PM",
      stepAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/videos/self-inspection-for-bike.mp4",
      stepTitle: "Take a 360° video",
      stepTitleHn: "360 ° वीडियो लें",
      imageName: "VDO",
      displayOrder: 90,
      type: "video",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 642,
          createdDate: "Feb 21, 2020 12:14:03 PM",
          instructionData:
            "Keep engine and chassis no. visible. Start from engine no, make sure recorded video is under 60 seconds.",
          lastModifiedDate: "Feb 21, 2020 12:14:03 PM",
          instructionTime: 3,
          instructionDataHn:
            "इंजन और चेसिस नं. दिखता रखें। इंजन नं से शुरू करें, ध्यान रखें कि रिकॉर्ड किया गया वीडियो 60 सेकंड से कम हो।",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 643,
          createdDate: "Feb 21, 2020 12:14:03 PM",
          instructionData: "Make sure the following parts are clearly visible",
          lastModifiedDate: "Feb 21, 2020 12:14:03 PM",
          instructionTime: 3,
          instructionDataHn:
            "ध्यान रखें कि निम्नलिखित भाग स्पष्ट रूप से दिखाई दे रहे हैं",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 644,
          createdDate: "Feb 21, 2020 12:14:03 PM",
          instructionData: "Engine & Chassis Number",
          lastModifiedDate: "Feb 21, 2020 12:14:03 PM",
          instructionTime: 3,
          instructionDataHn: "इंजन और चेसिस नंबर",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
        {
          surveyInstructionsId: 645,
          createdDate: "Feb 21, 2020 12:14:03 PM",
          instructionData:
            "Four sides of the vehicle, Odometer Reading, Engine Compartment",
          lastModifiedDate: "Feb 21, 2020 12:14:03 PM",
          instructionTime: 3,
          instructionDataHn:
            "गाड़ी के चार पहलू, ओडोमीटर रीडिंग, इंजन कम्पार्टमेंट",
          effectiveDate: "Dec 31, 2999 12:00:00 AM",
        },
      ],
      effectiveDate: "Dec 31, 2999 12:00:00 AM",
    },
  ],
  isWebRequest: 0,
  titleHn: "आपके 2-व्हीलर इंस्पेक्शन के लिए कुछ सुझाव",
  descriptionHn:
    "फ़ोटो क्लिक करने से पहले हमने इसे शीघ्र होने वाला और सरल बना दिया है:",
  stencilAssets: [
    {
      surveyStencilId: 9,
      make: "BIKE",
      model: "BIKE",
      poseName: "BS",
      stencilAssetLink:
        "https://d2h44aw7l5xdvz.cloudfront.net/digitEdgeAssets/Motor/STENCILS/2W_BIKE_BS.png",
      createdDate: "Sep 18, 2020 08:21:13 PM",
      lastModifiedDate: "Sep 18, 2020 08:21:13 PM",
      bodyType: "BIKE",
      vehicleCode: 44444444444444,
    },
    {
      surveyStencilId: 10,
      make: "BIKE",
      model: "BIKE",
      poseName: "FS",
      stencilAssetLink:
        "https://d2h44aw7l5xdvz.cloudfront.net/digitEdgeAssets/Motor/STENCILS/2W_BIKE_FS.png",
      createdDate: "Sep 18, 2020 08:21:13 PM",
      lastModifiedDate: "Sep 18, 2020 08:21:13 PM",
      bodyType: "BIKE",
      vehicleCode: 44444444444444,
    },
    {
      surveyStencilId: 11,
      make: "BIKE",
      model: "BIKE",
      poseName: "LS",
      stencilAssetLink:
        "https://d2h44aw7l5xdvz.cloudfront.net/digitEdgeAssets/Motor/STENCILS/2W_BIKE_LS.png",
      createdDate: "Sep 18, 2020 08:21:13 PM",
      lastModifiedDate: "Sep 18, 2020 08:21:13 PM",
      bodyType: "BIKE",
      vehicleCode: 44444444444444,
    },
    {
      surveyStencilId: 12,
      make: "BIKE",
      model: "BIKE",
      poseName: "RS",
      stencilAssetLink:
        "https://d2h44aw7l5xdvz.cloudfront.net/digitEdgeAssets/Motor/STENCILS/2W_BIKE_RS.png",
      createdDate: "Sep 18, 2020 08:21:13 PM",
      lastModifiedDate: "Sep 18, 2020 08:21:13 PM",
      bodyType: "BIKE",
      vehicleCode: 44444444444444,
    },
    {
      surveyStencilId: 13,
      make: "BIKE",
      model: "BIKE",
      poseName: "TS",
      stencilAssetLink:
        "https://d2h44aw7l5xdvz.cloudfront.net/digitEdgeAssets/Motor/STENCILS/2W_BIKE_TS.png",
      createdDate: "Sep 18, 2020 08:21:13 PM",
      lastModifiedDate: "Sep 18, 2020 08:21:13 PM",
      bodyType: "BIKE",
      vehicleCode: 44444444444444,
    },
  ],
};

const PRIVATE_CAR_PAYD = {
  videoInspectionResponse: {
    blockedSource: {
      type: "String",
      value: "NA",
      valueInfo: {},
    },
    isEligible: {
      type: "Boolean",
      value: true,
      valueInfo: {},
    },
  },
  isVideoPiEligible: true,
  surveyMasterId: 51,
  activityTypeId: 63,
  createdDate: "Jun 02, 2022 01:25:25 PM",
  description: "We have made this quick and simple",
  lastModifiedDate: "Jun 02, 2022 01:25:25 PM",
  noOfSteps: 4,
  title: "A few tips for your 4 wheeler video inspection",
  TSurveyInstructions: [
    {
      surveyInstructionsId: 1858,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Shoot the odometer reading",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 23,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      okButtonText: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1847,
      createdDate: "May 18, 2022 12:25:18 PM",
      instructionData: "Take a picture of the front of your RC book/card.",
      lastModifiedDate: "May 18, 2022 12:25:18 PM",
      instructionTime: 1,
      instructionDataHn: "अपनी आरसी बुक/कार्ड के सामने की तस्वीर लें।",
      displayOrder: 1,
      type: "",
      effectiveDate: "May 18, 2022 12:27:19 PM",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1848,
      createdDate: "May 18, 2022 12:25:18 PM",
      instructionData: "Take a picture of the back of your RC book/card.",
      lastModifiedDate: "May 18, 2022 12:25:18 PM",
      instructionTime: 2,
      instructionDataHn: "अपनी आरसी बुक/कार्ड के पीछे की तस्वीर लें।",
      displayOrder: 2,
      type: "",
      effectiveDate: "May 18, 2022 12:27:19 PM",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1850,
      createdDate: "May 18, 2022 12:30:51 PM",
      instructionData: "Keep the engine ON throughout the video shoot.",
      lastModifiedDate: "May 18, 2022 12:30:51 PM",
      instructionTime: 3,
      instructionDataHn: "पूरे निरीक्षण के दौरान इंजन चालू रहना चाहिए",
      displayOrder: 15,
      type: "video",
      effectiveDate: "May 18, 2022 12:51:26 PM",
      instructionTitle: "Start your car",
      okButtonText: "I have started the vehicle",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_start.mp4",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1851,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Front Number Plate & Front Windshield visible",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 16,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1852,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Full Passenger Side visible",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 17,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1853,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Back Number Plate & Back Windshield visible",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 18,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1854,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Full Driver Side visible",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 19,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1855,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Face the <b>Front of the car</b>",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 20,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1856,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Show <b>Full Front Windshield</b>",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 21,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1857,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "Shoot Full Windshield from inside",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 22,
      type: "instruction",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "",
      okButtonText: "",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 2118,
      createdDate: "Oct 28, 2022 12:43:38 PM",
      instructionData: "Park in an <b>Open Well-lit</b> area",
      lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
      instructionTime: 2,
      displayOrder: 10,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 28, 2022 12:43:38 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 11,
          createdDate: "Oct 28, 2022 12:45:40 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-07.png",
          mandateType: "DO",
        },
        {
          mandateId: 12,
          createdDate: "Oct 28, 2022 12:45:40 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-08.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2119,
      createdDate: "Oct 28, 2022 12:43:38 PM",
      instructionData: "Leave <b>10ft Space</b> on all sides",
      lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
      instructionTime: 2,
      displayOrder: 11,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 28, 2022 12:43:38 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 13,
          createdDate: "Oct 28, 2022 12:45:40 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-03.png",
          mandateType: "DO",
        },
        {
          mandateId: 14,
          createdDate: "Oct 28, 2022 12:45:41 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-04.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2120,
      createdDate: "Oct 28, 2022 12:43:38 PM",
      instructionData: "<b>Wipe & Clean</b> your car",
      lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
      instructionTime: 2,
      displayOrder: 12,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 28, 2022 12:43:38 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 15,
          createdDate: "Oct 28, 2022 12:45:41 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-05.png",
          mandateType: "DO",
        },
        {
          mandateId: 16,
          createdDate: "Oct 28, 2022 12:45:41 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-06.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 2121,
      createdDate: "Oct 28, 2022 12:43:38 PM",
      instructionData: "Keep <b>Full Car</b> in focus during the video shoot",
      lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
      instructionTime: 2,
      displayOrder: 13,
      type: "image",
      quickTipType: "GUIDE",
      effectiveDate: "Oct 28, 2022 12:43:38 PM",
      instructionTitle: "Quick Tips",
      instructionAssests: "",
      tInstructionMandate: [
        {
          mandateId: 17,
          createdDate: "Oct 28, 2022 12:45:41 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-01.png",
          mandateType: "DO",
        },
        {
          mandateId: 18,
          createdDate: "Oct 28, 2022 12:45:41 PM",
          lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
          link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-02.png",
          mandateType: "DONT",
        },
      ],
    },
    {
      surveyInstructionsId: 1969,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 3,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "FS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_3.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1970,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 4,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "LS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_5.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1971,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 5,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "BS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_7.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1972,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 6,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "RS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_9.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1973,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 7,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "FS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_11.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1974,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 8,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "WS",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_12.png",
      tInstructionMandate: [],
    },
    {
      surveyInstructionsId: 1975,
      createdDate: "May 31, 2022 02:40:44 PM",
      instructionData: "",
      lastModifiedDate: "May 31, 2022 02:40:44 PM",
      instructionTime: 2,
      displayOrder: 9,
      type: "stride",
      effectiveDate: "May 31, 2022 02:40:44 PM",
      instructionTitle: "DBD",
      instructionAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_13.png",
      tInstructionMandate: [],
    },
  ],
  TSurveySteps: [
    {
      surveyStepsId: 1071,
      createdDate: "Feb 21, 2020 12:15:05 PM",
      description: "Shoot video from a distance to capture the entire vehicle",
      isLast: false,
      descriptionHn: "पूरीगाड़ी को फ़ोकस करने के लिए दूर से वीडियो शूट करें",
      lastModifiedDate: "Feb 21, 2020 12:15:05 PM",
      stepAssests:
        "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/PAYD_Demo_Cut.m4v",
      stepStencilAssests: "",
      stepTitle: "Take a 360° video",
      stepTitleHn: '360 ° वीडियो लें "',
      imageName: "VDO",
      displayOrder: 220,
      type: "video",
      TSurveyInstructions: [
        {
          surveyInstructionsId: 1850,
          createdDate: "May 18, 2022 12:30:51 PM",
          instructionData: "Keep the engine ON throughout the video shoot.",
          lastModifiedDate: "May 18, 2022 12:30:51 PM",
          instructionTime: 3,
          instructionDataHn: "पूरे निरीक्षण के दौरान इंजन चालू रहना चाहिए",
          displayOrder: 15,
          type: "image",
          effectiveDate: "May 18, 2022 12:51:26 PM",
          instructionTitle: "Start your car",
          okButtonText: "I have started the vehicle",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/key_start.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1851,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Front Number Plate & Front Windshield visible",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 16,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1852,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Full Passenger Side visible",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 17,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1853,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Back Number Plate & Back Windshield visible",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 18,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1854,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Full Driver Side visible",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 19,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1855,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Face the <b>Front of the car</b>",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 20,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1856,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Show <b>Full Front Windshield</b>",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 21,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1857,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Shoot Full Windshield from inside",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 22,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          okButtonText: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1858,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "Shoot the odometer reading",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 23,
          type: "instruction",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "",
          okButtonText: "",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1969,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 3,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "FS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_3.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1970,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 4,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "LS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_5.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1971,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 5,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "BS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_7.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1972,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 6,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "RS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_9.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1973,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 7,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "FS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_11.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1974,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 8,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "WS",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_12.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 1975,
          createdDate: "May 31, 2022 02:40:44 PM",
          instructionData: "",
          lastModifiedDate: "May 31, 2022 02:40:44 PM",
          instructionTime: 2,
          displayOrder: 9,
          type: "stride",
          effectiveDate: "May 31, 2022 02:40:44 PM",
          instructionTitle: "DBD",
          instructionAssests:
            "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_angles_13.png",
          tInstructionMandate: [],
        },
        {
          surveyInstructionsId: 2118,
          createdDate: "Oct 28, 2022 12:43:38 PM",
          instructionData: "Park in an <b>Open Well-lit</b> area",
          lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
          instructionTime: 2,
          displayOrder: 10,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 28, 2022 12:43:38 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 11,
              createdDate: "Oct 28, 2022 12:45:40 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-07.png",
              mandateType: "DO",
            },
            {
              mandateId: 12,
              createdDate: "Oct 28, 2022 12:45:40 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-08.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2119,
          createdDate: "Oct 28, 2022 12:43:38 PM",
          instructionData: "Leave <b>10ft Space</b> on all sides",
          lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
          instructionTime: 2,
          displayOrder: 11,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 28, 2022 12:43:38 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 13,
              createdDate: "Oct 28, 2022 12:45:40 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:40 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-03.png",
              mandateType: "DO",
            },
            {
              mandateId: 14,
              createdDate: "Oct 28, 2022 12:45:41 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-04.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2120,
          createdDate: "Oct 28, 2022 12:43:38 PM",
          instructionData: "<b>Wipe & Clean</b> your car",
          lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
          instructionTime: 2,
          displayOrder: 12,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 28, 2022 12:43:38 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 15,
              createdDate: "Oct 28, 2022 12:45:41 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-05.png",
              mandateType: "DO",
            },
            {
              mandateId: 16,
              createdDate: "Oct 28, 2022 12:45:41 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-06.png",
              mandateType: "DONT",
            },
          ],
        },
        {
          surveyInstructionsId: 2121,
          createdDate: "Oct 28, 2022 12:43:38 PM",
          instructionData:
            "Keep <b>Full Car</b> in focus during the video shoot",
          lastModifiedDate: "Oct 28, 2022 12:43:38 PM",
          instructionTime: 2,
          displayOrder: 13,
          type: "image",
          quickTipType: "GUIDE",
          effectiveDate: "Oct 28, 2022 12:43:38 PM",
          instructionTitle: "Quick Tips",
          instructionAssests: "",
          tInstructionMandate: [
            {
              mandateId: 17,
              createdDate: "Oct 28, 2022 12:45:41 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-01.png",
              mandateType: "DO",
            },
            {
              mandateId: 18,
              createdDate: "Oct 28, 2022 12:45:41 PM",
              lastModifiedDate: "Oct 28, 2022 12:45:41 PM",
              link: "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/1-02.png",
              mandateType: "DONT",
            },
          ],
        },
      ],
      effectiveDate: "Dec 17, 2022 03:18:48 PM",
    },
    {
      surveyStepsId: 1072,
      createdDate: "Feb 21, 2020 12:15:05 PM",
      description:
        "<b>Note:</b> Odometer reading indicates the <b>total distance the vehicle has travelled!</b> Please ensure the reading reflects that and is not set to display trip reading.",
      isLast: false,
      descriptionHn:
        "सुनिश्चित करें कि ओडोमीटर किमी रीडिंग लेते समय इंजन चालू है",
      lastModifiedDate: "Feb 21, 2020 12:15:05 PM",
      stepAssests:
        "https://cdn.godigit.com/digitEdgeAssets/Motor/MZBG2T7_Odometer-01_V2.jpg",
      stepStencilAssests: "",
      stepTitle: "Please enter the odometer km reading",
      stepTitleHn: "कृपया ओडोमीटर किमी रीडिंग दर्ज करें",
      imageName: "DBD",
      displayOrder: 205,
      type: "input",
      TSurveyInstructions: [],
      effectiveDate: "Dec 17, 2022 03:18:48 PM",
    },
  ],
  isWebRequest: 2,
  titleHn: "आपके 4 व्हीलर इंस्पेक्शन के लिए कुछ सुझाव",
  descriptionHn:
    "हमने इसे शीघ्र होने वाला और सरल बना दिया है फ़ोटोको क्लिक करने से पहले:",
};
// May need to cache the video later
const cacheImages = (
  PRIVATE_CAR_UPDATED,
  PRIVATE_CAR_PAYD_UPDATED,
  CV_UPDATED,
  TWO_WHEELER_UPDATED
) => {
  try {
    console.log("cache Images");
    const imageUrls = [];

    // 4W
    PRIVATE_CAR_UPDATED?.TSurveyInstructions?.map((item) => {
      if (item?.instructionAssests) {
        imageUrls.push(item?.instructionAssests);
      }

      // for 4w quickTips image cache
      if (item?.tInstructionMandate.length > 0) {
        item?.tInstructionMandate?.map((quickTipAssets) => {
          imageUrls.push(quickTipAssets?.link);
        });
      }
    });

    PRIVATE_CAR_UPDATED?.TSurveySteps?.map((item) => {
      if (item?.stepAssests) {
        imageUrls.push(item.stepAssests);
      }
    });

    // 4W PAYD
    PRIVATE_CAR_PAYD_UPDATED?.TSurveyInstructions?.map((item) => {
      if (item?.instructionAssests) {
        imageUrls.push(item?.instructionAssests);
      }

      // for 4w PAYD quickTips image cache
      if (item?.tInstructionMandate?.length > 0) {
        item?.tInstructionMandate?.map((quickTipAssets) => {
          imageUrls.push(quickTipAssets?.link);
        });
      }
    });

    PRIVATE_CAR_PAYD_UPDATED?.TSurveySteps?.map((item) => {
      if (item?.stepAssests) {
        imageUrls.push(item?.stepAssests);
      }
    });

    // CV
    CV_UPDATED?.TSurveyInstructions?.map((item) => {
      if (item?.instructionAssests) {
        imageUrls.push(item?.instructionAssests);
      }
    });
    CV_UPDATED?.TSurveySteps?.map((item) => {
      if (item?.stepAssests) {
        imageUrls.push(item?.stepAssests);
      }
    });

    // 2W
    TWO_WHEELER_UPDATED?.TSurveyInstructions?.map((item) => {
      if (item?.instructionAssests) {
        imageUrls.push(item?.instructionAssests);
      }
    });
    TWO_WHEELER_UPDATED?.TSurveySteps?.map((item) => {
      if (item?.stepAssests) {
        imageUrls.push(item?.stepAssests);
      }
    });
    TWO_WHEELER_UPDATED?.stencilAssets?.map((item) => {
      if (item?.stencilAssetLink) {
        imageUrls.push(item?.stencilAssetLink);
      }
    });

    imageUrls.push(
      "https://d2h44aw7l5xdvz.cloudfront.net/assets/gif/cycle.gif",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/oops_something_went_wrong.png",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/horizontal_mode_phone.png",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/10ft_distance_gif.gif",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/open_bonnet.gif",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/chassis_car.png",
      "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/close_bonnet.gif"
    );

    console.log(imageUrls);
    imageUrls.map(async (item) => {
      var response = await Image.prefetch(item);
    });
    Image.queryCache(imageUrls).then((data) => {
      console.log("chache image ", data);
    });
  } catch (error) {
    console.log("Error in cache Images", error);
  }
};

const cacheInstruction = async () => {
  try {
    let TWO_WHEELER_UPDATED;
    let CV_UPDATED;
    let PRIVATE_CAR_PAYD_UPDATED;
    let PRIVATE_CAR_UPDATED;

    var PAYD_activityId = PROD ? "121284058" : "1357008";
    var PRIVATE_CAR_activityId = PROD ? "119078769" : "1368934";
    var CV_activityId = PROD ? "119262062" : "1368795";
    var TWO_WHELLER_activityId = PROD ? "121286952" : "1368794";

    // PI 4w
    PRIVATE_CAR_UPDATED = await get4WPIInstruction({
      url: `${INSTRUCTIONS_URL}5?appId=2&activityId=${PRIVATE_CAR_activityId}`,
    });

    // PAYD 4w
    PRIVATE_CAR_PAYD_UPDATED = await get4WPAYDInstruction({
      url: `${INSTRUCTIONS_URL}63?appId=2&activityId=${PAYD_activityId}`,
    });

    // CV
    CV_UPDATED = await getCVPIInstruction({
      url: `${INSTRUCTIONS_URL}30?isWebRequest=0&activityId=${CV_activityId}`,
    });

    // 2W
    TWO_WHEELER_UPDATED = await get2WPIInstruction({
      url: `${INSTRUCTIONS_URL}26?isWebRequest=0&activityId=${TWO_WHELLER_activityId}`,
    });
    await Database.update("PILocalInstruction", {
      PRIVATE_CAR: PRIVATE_CAR_UPDATED,
      PRIVATE_CAR_PAYD: PRIVATE_CAR_PAYD_UPDATED,
      CV: CV_UPDATED,
      TWO_WHELLER: TWO_WHEELER_UPDATED,
    });
    cacheImages(
      PRIVATE_CAR_UPDATED,
      PRIVATE_CAR_PAYD_UPDATED,
      CV_UPDATED,
      TWO_WHEELER_UPDATED
    );
    cacheVideos();
  } catch (error) {
    console.log("Error : localData.js cacheInstruction.js ", error);
  }
};

const cacheVideos = () => {
  // const filesNames = Array.from(CACHE_CONSTANTS);
  // const remoteUrls = []
  //for now we should only cache one video
  cacheFile(
    CACHE_CONSTANTS.CAR_START,
    "https://d2h44aw7l5xdvz.cloudfront.net/CRM/PRM/car_start.mp4"
  );
};

export const get4WPIInstruction = async ({ url }) => {
  console.log("[CACHE] URL 4W >>> ", url);
  try {
    const res = await fetch(url, {
      method: "GET",
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    // console.log("get4WPIInstruction Dynamic : ", data);
    return data;
  } catch (err) {
    console.log("[CACHE] Error : get4WPIInstruction", err);
    return PRIVATE_CAR;
  }
};

export const get4WPAYDInstruction = async ({ url }) => {
  console.log("[CACHE] URL 4W PAYD >>> ", url);
  try {
    const res = await fetch(url, {
      method: "GET",
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    // console.log("get4WPAYDInstruction Dynamic : ", data);
    return data;
  } catch (err) {
    console.log("[CACHE] Error : get4WPAYDInstruction", err);
    return PRIVATE_CAR_PAYD;
  }
};

export const getCVPIInstruction = async ({ url }) => {
  console.log("[CACHE] URL CV >>> ", url);
  try {
    const res = await fetch(url, {
      method: "GET",
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    // console.log("getCVPIInstruction Dynamic : ", data);
    return data;
  } catch (err) {
    console.log("[CACHE] Error : getCVPIInstruction", err);
    return CV;
  }
};

export const get2WPIInstruction = async ({ url }) => {
  console.log("[CACHE] URL 2W >>> ", url);
  try {
    const res = await fetch(url, {
      method: "GET",
    });
    let data = await res.json();
    if (res.status !== 200) {
      throw new Error(data?.error);
    }
    // console.log("get2WPIInstruction Dynamic : ", data);
    return data;
  } catch (err) {
    console.log("[CACHE] Error : get2WPIInstruction", err);
    return TWO_WHELLER;
  }
};

export {
  PRIVATE_CAR,
  PRIVATE_CAR_PAYD,
  CV,
  TWO_WHELLER,
  cacheImages,
  cacheInstruction,
};
