import {PI_STATUS} from 'react-native-digitcamera/src/Screens/AutoPI/common/ActivityCard';
import {canGoVideoPi} from 'react-native-digitcamera/src/common/Constants';

const MediaStatus = [
  {
    id: '11111',
    activityId: 1, //approved
    activityTypeId: 5,
    policyNumber: 111,
    regNumber: 'MH11MH1111',
    activityStatus: 'COMPLETED', // PENDING, IN-PROGRESS, COMPLETED  // this is the status of activity not a perticular image
    mode: 'ONLINE', // ONLINE, OFFLINE  // have to make dyanamic
    mediaUpload: [],
    date: '21 Feb 203',
    status: 'pending',
    reason: '',
  },
  {
    id: '22222',
    activityId: 2, //auto approved
    activityTypeId: 5,
    policyNumber: 2222,
    regNumber: 'MH22MH2222',
    activityStatus: 'COMPLETED', // PENDING, IN-PROGRESS, COMPLETED  // this is the status of activity not a perticular image
    mode: 'ONLINE', // ONLINE, OFFLINE  // have to make dyanamic
    mediaUpload: [],
    date: '21 Feb 203',
    status: 'pending',
    reason: '',
  },
  {
    id: '33333',
    activityId: 3, //rejected
    activityTypeId: 5,
    policyNumber: 3333,
    regNumber: 'MH33MH3333',
    activityStatus: 'COMPLETED', // PENDING, IN-PROGRESS, COMPLETED  // this is the status of activity not a perticular image
    mode: 'ONLINE', // ONLINE, OFFLINE  // have to make dyanamic
    mediaUpload: [],
    date: '21 Feb 203',
    status: 'pending',
    reason: '',
  },
  {
    id: '44444',
    activityId: 4, //reinspection
    activityTypeId: 5,
    policyNumber: 4444,
    regNumber: 'MH44MH4444',
    activityStatus: 'COMPLETED', // PENDING, IN-PROGRESS, COMPLETED  // this is the status of activity not a perticular image
    mode: 'ONLINE', // ONLINE, OFFLINE  // have to make dyanamic
    mediaUpload: [],
    date: '21 Feb 203',
    status: 'pending',
    reason: '',
  },
  {
    id: '55555',
    activityId: 5, //pending
    activityTypeId: 5,
    policyNumber: 5555,
    regNumber: 'MH55MH5555',
    activityStatus: 'COMPLETED', // PENDING, IN-PROGRESS, COMPLETED  // this is the status of activity not a perticular image
    mode: 'ONLINE', // ONLINE, OFFLINE  // have to make dyanamic
    mediaUpload: [],
    date: '21 Feb 203',
    status: 'pending',
    reason: '',
  },
];
const intialState = {
  activities: [],
};

const resetState = {
  activities: [],
};

const ACTIONS_TYPE = {
  ADD_COMPLETED_ACTIVITY: 'ADD_COMPLETED_ACTIVITY',
  UPDATE_COMPLETED_ACTIVITY: 'UPDATE_COMPLETED_ACTIVITY',
  ADD_PI_COMPLETED_ACTIVITIY: 'ADD_PI_COMPLETED_ACTIVITIY',
};

export default (state = intialState, action) => {
  switch (action.type) {
    case 'ADD_COMPLETED_ACTIVITY': {
      const exist = state.activities.find(
        aItem => aItem.activityId === action.payload.activityId,
      );
      if (!exist) {
        const modifiedObj = {
          ...action.payload,
          piStatus: PI_STATUS.Uploaded,
        };
        return {
          ...state,
          activities: [...state.activities, modifiedObj],
        };
      }
      return state;
    }
    case 'UPDATE_COMPLETED_ACTIVITY': {
      const oldActivities = state.activities;
      const {
        activityId,
        piStatus,
        resultTime,
        reason,
        turnAroundTime,
        status,
        model,
      } = action.payload;
      const mappedActivities = oldActivities.map(item => {
        if (item.activityId === activityId) {
          if (action.payload?.isAutoApproved) {
            return {
              ...item,
              model,
              piStatus,
              resultTime,
              reason,
              turnAroundTime,
              status,
              isAutoApproved: action.payload?.isAutoApproved,
            };
          }
          return {
            ...item,
            model,
            piStatus,
            resultTime,
            reason,
            turnAroundTime,
            status,
          };
        }
        return item;
      });
      return {...state, activities: mappedActivities};
    }
    case 'ADD_PI_COMPLETED_ACTIVITIY': {
      const {activityId} = action.payload;

      const exist = state.activities.find(
        item => item.activityId === activityId,
      );
      if (!exist) {
        return {...state, activities: [...state.activities, action.payload]};
      }
      return state;
    }
    default:
      return state;
  }
};

export const addCompletedActivity = payload => ({
  type: ACTIONS_TYPE.ADD_COMPLETED_ACTIVITY,
  payload: payload,
});

export const updateCompletedActivity = payload => ({
  type: ACTIONS_TYPE.UPDATE_COMPLETED_ACTIVITY,
  payload: payload,
});

export const addPICompletedActivity = payload => ({
  type: ACTIONS_TYPE.ADD_PI_COMPLETED_ACTIVITIY,
  payload: payload,
});
